#!/system/bin/sh
FILE="/data/adb/bootanimation_make"
FFMPEG=$TOOLKIT/ffmpeg
FFMPEGURL=https://gitee.com/keep-an-appointment/magisk/releases/download/FFmpeg/ffmpeg
if [[ -d $FILE ]];then
rm -rf $FILE
mkdir -p $FILE
else
mkdir -p $FILE
fi
if [[ -e $FFMPEG ]]; then
chmod 777 $FFMPEG
alias ffmpeg=$FFMPEG
ffmpeg -h >/dev/null 2>&1
if [[ ! $? = 0 ]];then
echo "ffmpeg检测失败，请尝试本地安装！"
sleep 10
exit
fi
else
	echo "正在联网下载FFMPEG"
	wget $FFMPEGURL -O $FFMPEG && echo -e "下载结束，请重新执行命令" || echo -e "失败，请检查网络！" && exit
fi